commit b0a20c0ee8ab8a10f8a189c8f8963870b49e245d
Author: freddy77 <freddy77>
Date:   Wed Feb 20 08:04:31 2008 +0000

    avoid duplicate case

diff --git a/ChangeLog b/ChangeLog
index 77bc6c3..96cd21e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Feb 20 09:04:58 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/convert.c: avoid duplicate case
+
 Fri Feb 15 11:25:46 EST 2008	JK Lowden <jklowden@freetds.org>
 	* src/dblib/dblib.c src/tds/convert.c
 	- support SYBUNIQUE printable width
@@ -173,4 +176,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2491 2008/02/15 16:27:38 jklowden Exp $
+$Id: ChangeLog,v 1.2492 2008/02/20 08:04:31 freddy77 Exp $
diff --git a/src/tds/convert.c b/src/tds/convert.c
index 2283097..6c6b985 100644
--- a/src/tds/convert.c
+++ b/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.181 2008/02/15 16:27:39 jklowden Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.182 2008/02/20 08:04:32 freddy77 Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -2896,12 +2896,12 @@ tds_willconvert(int srctype, int desttype)
 	case SYBMONEY:
 	case SYBMONEY4:
 			return 12;
+	/* TODO SYBBLOB has the same value */
 	case SYBUNIQUE:
 			return 36;
 	/* non-fixed types have variable data sizes, just return 0xff */
 	case SYBCHAR:
 	case SYBBINARY:
-	case SYBBLOB:
 	case SYBLONGBINARY:
 	case SYBLONGCHAR:
 	case SYBTEXT:

